{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZORDERDETAIL"
  },
  "caption" : "订单明细",
  "codeName" : "IBIZOrderDetailListView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailListView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "IBIZOrderDetailListView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ListView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "list",
      "name" : "LIST",
      "paramType" : "CTRL"
    }, {
      "appViewLogicName" : "opendata",
      "name" : "OPENDATA",
      "paramType" : "LOGIC"
    }, {
      "appViewLogicName" : "newdata",
      "name" : "NEWDATA",
      "paramType" : "LOGIC"
    } ]
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "SYSUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "OrderDetailsList",
    "controlType" : "LIST",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create"
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail/PSLISTS/OrderDetailsList.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load"
    },
    "groupMode" : "NONE",
    "hookEventNames" : [ "ROWDBLCLICK", "SELECTIONCHANGE", "REMOVE", "LOAD", "BEFORELOAD" ],
    "logicName" : "OrderDetailsList",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "ROWDBLCLICK;SELECTIONCHANGE;REMOVE;LOAD;BEFORELOAD",
      "logicTag" : "list",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_list",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "LIST"
    },
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "srficon"
    }, {
      "dataType" : 25,
      "name" : "srfdate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILNAME",
        "codeName" : "IBIZOrderDetailName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdescription",
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTNAME",
        "codeName" : "IBIZUNIProductName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZORDERDETAILID",
        "codeName" : "IBIZOrderDetailId"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizorderid",
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizuniproductid",
      "getPSAppDEField" : {
        "name" : "IBIZUNIPRODUCTID",
        "codeName" : "IBIZUNIProductId"
      }
    } ],
    "pagingSize" : 1000,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove"
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update"
    },
    "hasWFDataItems" : false,
    "enableGroup" : false,
    "enableRowEdit" : false,
    "enableRowEditGroup" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "name" : "list",
    "modelid" : "5f0faf8f3e1c63e82bb18e88d17d9494",
    "modeltype" : "PSDELIST"
  } ],
  "getPSDEViewCodeName" : "ListView",
  "getPSDEViewId" : "39d67d37eaa9fa801c906f6b67f025f6",
  "getPSSysCss" : {
    "cssName" : "portal-listview-noboxshadow"
  },
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDELISTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "订单明细列表视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZORDERDETAIL.LISTVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DELISTVIEW",
  "xDataControlName" : "list",
  "enableDP" : true,
  "enableFilter" : false,
  "enableQuickSearch" : true,
  "showCaptionBar" : false,
  "modelid" : "8f04b48c970ed3c24154be374d6a023f",
  "modeltype" : "PSAPPDEVIEW",
  "getPSAppDERSPaths" : [ [ {
    "actionRSMode" : 1,
    "codeName" : "IBIZORDERDETAILS",
    "dataRSMode" : 0,
    "majorDECodeName" : "IBIZOrder",
    "majorDEName" : "IBIZORDER",
    "getMajorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "minorDECodeName" : "IBIZOrderDetail",
    "minorDEName" : "IBIZORDERDETAIL",
    "getMinorPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderDetail.json"
    },
    "name" : "订单实体_订单明细",
    "getParentPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "rSMode" : 2,
    "tempDataOrder" : 10
  } ] ]
}